Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.utils.common
Class ReflectorUtil

    java.lang.Object
      madkit.utils.common.ReflectorUtil

    public class ReflectorUtil

extends java.lang.Object

Constructor Summary
`ReflectorUtil()`

Method Summary
`static java.util.Hashtable` | `getProperties(java.lang.Object jb)`
`static java.util.Hashtable` | `getPropertiesTypes(java.lang.Object jb)`
`static java.lang.String` | `getProperty(java.lang.Object jb, java.lang.String sName, java.beans.PropertyDescriptor pd)`
`static java.beans.PropertyDescriptor[]` | `getPropertyDescriptors(java.lang.Class c)`
`static java.lang.String` | `isNull(java.lang.Object o)`
`static void` | `setProperties(java.lang.Object jb, java.util.Hashtable properties)`
`static void` | `setProperty(java.lang.Object jb, java.lang.String name, java.lang.String value)`
`static void` | `setProperty(java.lang.Object jb, java.lang.String sName, java.lang.String value, java.beans.PropertyDescriptor pd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectorUtil

    public ReflectorUtil()

Method Detail

### getPropertyDescriptors

    public static java.beans.PropertyDescriptor[] getPropertyDescriptors(java.lang.Class c)
                                                                  throws java.beans.IntrospectionException

  Throws:
    `java.beans.IntrospectionException`

### getProperties

    public static java.util.Hashtable getProperties(java.lang.Object jb)

### getPropertiesTypes

    public static java.util.Hashtable getPropertiesTypes(java.lang.Object jb)

### getProperty

    public static java.lang.String getProperty(java.lang.Object jb,
                                               java.lang.String sName,
                                               java.beans.PropertyDescriptor pd)

### setProperty

    public static void setProperty(java.lang.Object jb,
                                   java.lang.String sName,
                                   java.lang.String value,
                                   java.beans.PropertyDescriptor pd)

### isNull

    public static java.lang.String isNull(java.lang.Object o)

### setProperty

    public static void setProperty(java.lang.Object jb,
                                   java.lang.String name,
                                   java.lang.String value)
                            throws java.lang.ClassNotFoundException,
                                   java.beans.IntrospectionException

  Throws:
    `java.lang.ClassNotFoundException`
    `java.beans.IntrospectionException`

### setProperties

    public static void setProperties(java.lang.Object jb,
                                     java.util.Hashtable properties)
                              throws java.lang.ClassNotFoundException,
                                     java.beans.IntrospectionException

  Throws:
    `java.lang.ClassNotFoundException`
    `java.beans.IntrospectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.